> ## Documentation Index
> Fetch the complete documentation index at: https://developers.orchestrasolutions.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all payment gateways

> To provide you with full payment orchestration capabilities, we have integrated with many different payment gateways and processors around the world. This method allows you to retrieve the list of all integrated payment gateways in our system and provide you with the relevant connection settings required for each of them.
To see a graphical list of the supported payment gateways, please visit our website.
If you would like us to support a new payment gateway not on the list, please contact our support.

<Card title="List Gateways Guide" icon="book" href="/guides/rest-api/utilities/list-gateways">
  Complete guide with credential discovery and usage examples
</Card>


## OpenAPI

````yaml get /PaymentGateway
openapi: 3.0.4
info:
  title: Orchestra API
  description: Code Version 1.0.11.6
  version: Prod
servers:
  - url: https://api.orchestrasolutions.com
security: []
tags:
  - name: AP2
    description: Test AP2 controller
  - name: EWalletOperations
    description: Card operations controller
  - name: MockCredentialProvider
    description: |-
      Mock Credential Provider controller implementing JSON-RPC 2.0 protocol
      Used for testing AP2 checkout flows
  - name: PaymentGatewayAccounts
    description: Payment Gateway Accounts
  - name: PaymentGateway
    description: Universal Payment Gateway
  - name: StringTokens
    description: Token management
  - name: Tools
    description: >-
      Card tools for BIN/IIN lookup, brand identification, Luhn validation, and
      card risk assessment
  - name: Utils
    description: Utils
paths:
  /PaymentGateway:
    get:
      tags:
        - PaymentGateway
      summary: List all payment gateways
      description: >-
        To provide you with full payment orchestration capabilities, we have
        integrated with many different payment gateways and processors around
        the world. This method allows you to retrieve the list of all integrated
        payment gateways in our system and provide you with the relevant
        connection settings required for each of them.

        To see a graphical list of the supported payment gateways, please visit
        our website.

        If you would like us to support a new payment gateway not on the list,
        please contact our support.
      operationId: GatewayList
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/PayTools_Shared.Models.PaymentGateway.PaymentGatewayDescriptionModel
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/PayTools_Shared.Models.ValidationErrorMessage
        '401':
          description: Not authenticated
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PayTools_Shared.Models.PaymentGateway.PaymentGatewayDescriptionModel:
      type: object
      properties:
        name:
          type: string
          description: The ePayTools internal identifier for this Payment Gateway
          nullable: true
        displayName:
          type: string
          description: The name of the Payment Gateway in friendly format
          nullable: true
        paymentGatewayUrl:
          type: string
          description: Url to Payment Gateway site (informational)
          nullable: true
        description:
          type: string
          description: Payment Gateway Description (informational)
          nullable: true
        credentialsNames:
          type: array
          items:
            type: string
          description: >-
            A list of all credential parameters needed to provide for this
            Payment Gateway
          nullable: true
        supportsNetworkToken:
          type: boolean
          description: >-
            Indicates whether the Payment gateway supports Network Token (from
            Card schemes)
      additionalProperties: false
      description: Model for Payment Gateway Description
    PayTools_Shared.Models.ValidationErrorMessage:
      type: object
      properties:
        fieldName:
          type: string
          description: Field name the error(s) are referring to
          nullable: true
        errors:
          type: array
          items:
            type: string
          description: List of errors
          nullable: true
      additionalProperties: false
      description: Model for display validation error messages
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: Please enter ApiKey into field
      name: X-Api-Key
      in: header

````